#!/bin/sh
# ================================================================

target_path="${1}"
target_file="${2}"

if [ -z "${target_path}" ]
then
	echo '[ALERT] TargetPath is not specified, operation aborted.' 1>&2
	exit
fi

if [ ! -d "${target_path}" ]
then
	echo '[ALERT] TargetPath is not found, operation aborted.' 1>&2
	exit
fi

if [ -z "${target_file}" ]
then
	echo '[ALERT] TargetFile is not specified, operation aborted.' 1>&2
	exit
fi

if [ ! -f "${target_file}" ]
then
	echo '[ALERT] TargetFile is not found, operation aborted.' 1>&2
	exit
fi

if [ ! -f "${target_path}${target_file}" ]
then
	rm "${target_file}"
fi

